Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 136028 - --as-needed fix for media-video/libdv-0.104-r1
Summary: --as-needed fix for media-video/libdv-0.104-r1
Status: RESOLVED DUPLICATE of bug 133819
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks: as-needed
  Show dependency tree
 
Reported: 2006-06-07 23:12 UTC by Denis Dupeyron (RETIRED)
Modified: 2006-09-13 15:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libdv-0.104-r1.ebuild (libdv-0.104-r1.ebuild,1.67 KB, text/plain)
2006-06-07 23:14 UTC, Denis Dupeyron (RETIRED)
Details
libdv-0.104-as-needed.patch (libdv-0.104-as-needed.patch,368 bytes, text/plain)
2006-06-07 23:15 UTC, Denis Dupeyron (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Dupeyron (RETIRED) gentoo-dev 2006-06-07 23:12:59 UTC
media-video/libdv-0.104-r1 fails to build with gtk when using --as-needed in LDFLAGS. Please find a modified ebuild and patch below.

I'm in the media-video herd^H^H^H^Hgroup but don't usually maintain libdv. So I don't want to step on anybody's toes, but if you guys think this is good enough I can commit it.

Denis.
Comment 1 Denis Dupeyron (RETIRED) gentoo-dev 2006-06-07 23:14:08 UTC
Created attachment 88636 [details]
libdv-0.104-r1.ebuild

The modified ebuild.
Comment 2 Denis Dupeyron (RETIRED) gentoo-dev 2006-06-07 23:15:09 UTC
Created attachment 88637 [details]
libdv-0.104-as-needed.patch

The patch.
Comment 3 abhay 2006-07-19 21:56:50 UTC
Thanks a lot. This patch worked for me on x86 with --as-needed.
Comment 4 Mike Auty (RETIRED) gentoo-dev 2006-08-04 12:11:02 UTC
Any news on getting this patch into the tree?
Comment 5 Matthias Schwarzott gentoo-dev 2006-09-13 15:32:54 UTC
This bug is basically a duplicate of Bug #133819. If gtk+-1.2 links correctly then libdv can build without patches.

Also patching directly in configure-script (and not in configure.in/.ac) is not the best way.
Comment 6 Matthias Schwarzott gentoo-dev 2006-09-13 15:33:23 UTC

*** This bug has been marked as a duplicate of 133819 ***